Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.search.lucene
Class LuceneException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.modeshape.search.lucene.LuceneException

All Implemented Interfaces:
  Serializable

    public class LuceneException

extends RuntimeException

A `runtime exception` representing a problem operating against Lucene.

See Also:
  Serialized Form

Constructor Summary
`LuceneException()` Construct a system failure exception with no message.
`LuceneException(String message)` Construct a system failure exception with a single message.
`LuceneException(String message, Throwable cause)` Construct a system failure exception with a single message and another exception that is the cause of the failure.
`LuceneException(Throwable cause)` Construct a system failure exception with another exception that is the cause of the failure.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LuceneException

    public LuceneException()

  Construct a system failure exception with no message.

### LuceneException

    public LuceneException(String message)

  Construct a system failure exception with a single message.

  Parameters:
    `message` - the message describing the failure

### LuceneException

    public LuceneException(Throwable cause)

  Construct a system failure exception with another exception that is the cause of the failure.

  Parameters:
    `cause` - the original cause of the failure

### LuceneException

    public LuceneException(String message,
                           Throwable cause)

  Construct a system failure exception with a single message and another exception that is the cause of the failure.

  Parameters:
    `message` - the message describing the failure
    `cause` - the original cause of the failure

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.